Index: XMLIO_V2/dev/dev_rv/Makefile.wk
===================================================================
--- XMLIO_V2/dev/dev_rv/Makefile.wk	(revision 186)
+++ XMLIO_V2/dev/dev_rv/Makefile.wk	(revision 187)
@@ -2,5 +2,5 @@
 ###################        Projet xios - xmlioserver       #####################
 #                                                                              #
-#         * Copyright Â© OZDOBA HervÃ© (herve.ozdoba@lsce.ipsl.fr) *             #
+#                   * Â© OZDOBA HervÃ© (herve.ozdoba@lsce.ipsl.fr) *             #
 #                   * Â© MEURDESOIF Yann (yann.meurdesoif@cea.fr) *             #
 #                                    * Avril 2010 - Octobre 2011 *             #
@@ -15,5 +15,5 @@
 VTK       = no
 GUI       = no
-NPROC     = 3
+NPROC     = 6
 CSUITE    = gnu
 PFORME    = fedora-wk
Index: XMLIO_V2/dev/dev_rv/src/xmlio/attribute_template_impl.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/attribute_template_impl.hpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/attribute_template_impl.hpp	(revision 187)
@@ -59,4 +59,8 @@
          T CAttributeTemplate<T>::getValue(void) const
       {
+         if (SuperClass::isEmpty())
+            ERROR("T CAttributeTemplate<T>::getValue(void) const",
+                  << "[ id = " << this->getId() << "]"
+                  << " L'attribut est requis mais n'est pas dÃ©fini !");
          return (SuperClass::getValue<T>());
       }
Index: XMLIO_V2/dev/dev_rv/src/xmlio/fake_client/fake_nemo.f90
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/fake_client/fake_nemo.f90	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/fake_client/fake_nemo.f90	(revision 187)
@@ -20,6 +20,6 @@
                                                   comm_client_server   ! communicateur client-serveur
       REAL(kind = 8), DIMENSION(10000)  :: real_array
-      INTEGER                           :: rankGrp, error
-      INTEGER                           :: ibegin, iend, jbegin, jend, data_ni, data_ibegin
+      INTEGER                           :: rankGrp, sizeGrp, error, i
+      INTEGER                           :: ibegin, iend, jbegin, jend, data_ni, data_ibegin, ni_glo, nj_glo
       TYPE(XDate)                       :: init_date_nemo  = XDate(1985, 03, 15, 17, 35, 00)
       TYPE(XHandle)                     :: nemo_style_ctxt = NULLHANDLE
@@ -28,9 +28,12 @@
                                            temp_mod__  = NULLHANDLE, &
                                            temp_mod___ = NULLHANDLE
-
-
-
+                                           
       CALL MPI_COMM_RANK(comm_client, rankGrp, error)
-
+      CALL MPI_COMM_SIZE(comm_client, sizeGrp, error)
+      
+      DO i = 1, 10000
+         real_array(i) = i;
+      END DO
+      
       IF (rankGrp .EQ. 0) THEN
           PRINT*," Starting NEMO Client Tests ..."
@@ -71,5 +74,6 @@
                                 ftype          = GFIELD,       &
                                 operation_     = "instant",    &
-                                enabled_       = .TRUE._1)
+                                enabled_       = .TRUE._1,     &
+                                freq_op_       = "1h")
 
       CALL xml_tree_add(parent_hdl  = temp_mod,        &
@@ -214,18 +218,35 @@
                         child_id    = "simple_domaine_grp")
 
+
+      ni_glo = 100
+      nj_glo = 50
       IF (rankGrp .EQ. 0) THEN
          ibegin = 1
+         iend   = 26
+         jbegin = 1
+         jend   = 50
+         data_ni     = 25
+         data_ibegin = 0
+      ELSE IF (rankGrp .EQ. 1) THEN
+         ibegin = 25
          iend   = 51
          jbegin = 1
          jend   = 50
-         data_ni     = 50
-         data_ibegin = 0
-      ELSE IF (rankGrp .EQ. 1) THEN
+         data_ni     = 25
+         data_ibegin = 1
+      ELSE IF (rankGrp .EQ. 2) THEN
          ibegin = 50
+         iend   = 76
+         jbegin = 1
+         jend   = 50
+         data_ni     = 25
+         data_ibegin = 1
+      ELSE IF (rankGrp .EQ. 3) THEN
+         ibegin = 75
          iend   = 100
          jbegin = 1
          jend   = 50
-         data_ni     = 50
-         data_ibegin = 1
+         data_ni     = 25
+         data_ibegin = 1         
       END IF 
 
@@ -235,6 +256,6 @@
                                  latvalue_      = real_array(1:((jend-jbegin+1)*(iend-ibegin+1))), &
                                  data_dim_      = 2,              &
-                                 ni_glo_        = 100,            &
-                                 nj_glo_        = 50,             &
+                                 ni_glo_        = ni_glo,         &
+                                 nj_glo_        = nj_glo,         &
                                  ibegin_        = ibegin,         &
                                  iend_          = iend,           &
@@ -269,5 +290,5 @@
                                  zoom_ibegin_   = 21,                 &
                                  zoom_jbegin_   = 5 ,                 &
-                                 zoom_ni_       = 60,                 &
+                                 zoom_ni_       = 20,                 &
                                  zoom_nj_       = 15)
 
@@ -278,13 +299,26 @@
                         child_id    = "simple_domaine1")
 
+
+      ni_glo = 90
+      nj_glo = 20
       IF (rankGrp .EQ. 0) THEN
          ibegin = 1
          iend   = 90
          jbegin = 1
-         jend   = 10        
+         jend   = 5        
       ELSE IF (rankGrp .EQ. 1) THEN
          ibegin = 1
          iend   = 90
+         jbegin = 6
+         jend   = 10
+      ELSE IF (rankGrp .EQ. 2) THEN
+         ibegin = 1
+         iend   = 90
          jbegin = 11
+         jend   = 15
+      ELSE IF (rankGrp .EQ. 3) THEN
+         ibegin = 1
+         iend   = 90
+         jbegin = 16
          jend   = 20
       END IF
@@ -298,6 +332,6 @@
                                  latvalue_      = real_array(1:((jend-jbegin+1)*(iend-ibegin+1))), &
                                  data_dim_      = 2,              &
-                                 ni_glo_        = 90,             &
-                                 nj_glo_        = 20,             &
+                                 ni_glo_        = ni_glo,         &
+                                 nj_glo_        = nj_glo,         &
                                  ibegin_        = ibegin,         &
                                  iend_          = iend,           &
Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor.cpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor.cpp	(revision 187)
@@ -15,5 +15,5 @@
 
       CFunctor::CFunctor(const StdString & id, DoubleArray doutput,
-                         const std::vector<size_t> size,
+                         const std::vector<StdSize> size,
                          const CFunData & data, CFuncType type)
          : SuperClass(id)
@@ -36,13 +36,13 @@
       { return (this->doutput); }
 
-      const std::vector<size_t> & CFunctor::getShape(void) const
+      const std::vector<StdSize> & CFunctor::getShape(void) const
       { return (this->size); }
 
-      size_t CFunctor::getSize(void) const
+      StdSize CFunctor::getSize(void) const
       { return (this->doutput->size()); }
 
       //---------------------------------------------------------------
 
-      void CFunctor::resize(size_t x, size_t y, size_t z)
+      void CFunctor::resize(StdSize x, StdSize y, StdSize z)
       {
          this->size.clear();
@@ -55,5 +55,5 @@
       void CFunctor::resize(const std::vector<StdSize> & sizes)
       {
-         size_t newsize = 1;
+         StdSize newsize = 1;
          this->size.clear();
          std::vector<StdSize>::const_iterator it = sizes.begin(), end = sizes.end();
Index: XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp	(revision 187)
@@ -16,5 +16,5 @@
       CXIOSManager::Initialise(CXIOSManager::CLIENT_SERVER, &argc, &argv);
       
-      CXIOSManager::AddClient("nemo"    , 2, 2, &nemo_fake_entry);
+      CXIOSManager::AddClient("nemo"    , 4, 2, &nemo_fake_entry);
       //CXIOSManager::AddClient("orchidee", 1, 1, &orchidee_fake_entry);
       //CXIOSManager::AddClient("lmdz"    , 4, 2, &lmdz_fake_entry);
Index: XMLIO_V2/dev/dev_rv/src/xmlio/manager/xios_manager.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/manager/xios_manager.hpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/manager/xios_manager.hpp	(revision 187)
@@ -48,5 +48,5 @@
                                      comm::CMPIManager::GetCommWorld());
 
-      protected :
+      public :
 
          /// Accesseurs statiques ///
@@ -54,4 +54,6 @@
          static XIOSStatus GetStatus(void);
          static StdString  GetClientName(void);
+         
+      protected :
          
          static StdSize GetNbClient(void);
Index: XMLIO_V2/dev/dev_rv/src/xmlio/node/domain.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/node/domain.cpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/node/domain.cpp	(revision 187)
@@ -5,4 +5,6 @@
 #include "group_template_impl.hpp"
 
+#include "mpi_manager.hpp"
+
 #include <algorithm>
 
@@ -14,5 +16,5 @@
    CDomain::CDomain(void)
       : CObjectTemplate<CDomain>(), CDomainAttributes()
-      , isChecked(false), local_mask(new CArray<int, 2>(boost::extents[10][10])), relFiles()
+      , isChecked(false), local_mask(new CArray<int, 2>(boost::extents[0][0])), relFiles()
       , ibegin_sub(), iend_sub(), jbegin_sub(), jend_sub()
       , lonvalue_sub(), latvalue_sub()
@@ -21,5 +23,5 @@
    CDomain::CDomain(const StdString & id)
       : CObjectTemplate<CDomain>(id), CDomainAttributes()
-      , isChecked(false), local_mask(new CArray<int, 2>(boost::extents[10][10])), relFiles()
+      , isChecked(false), local_mask(new CArray<int, 2>(boost::extents[0][0])), relFiles()
       , ibegin_sub(), iend_sub(), jbegin_sub(), jend_sub()
       , lonvalue_sub(), latvalue_sub()
@@ -124,4 +126,5 @@
           (ni_glo.isEmpty() || nj_glo.getValue() <= 0 ))
          ERROR("CDomain::checkAttributes(void)",
+               << "[ Id = " << this->getId() << " ] "
                << "Le domaine global est mal dÃ©fini,"
                << " vÃ©rifiez les valeurs de \'ni_glo\' et \'nj_glo\' !") ;
@@ -159,4 +162,5 @@
           ibegin.getValue() < 1 || iend.getValue() > ni_glo.getValue())
          ERROR("CDomain::checkAttributes(void)",
+               << "[ Id = " << this->getId() << " ] "
                << "Domaine local mal dÃ©fini,"
                << " vÃ©rifiez les valeurs ni, ni_glo, ibegin, iend") ;
@@ -294,5 +298,5 @@
          data_ibegin.setValue(0) ;
       if (data_jbegin.isEmpty() && (data_dim.getValue() == 2))
-           data_jbegin.setValue(0) ;
+         data_jbegin.setValue(0) ;
 
       if (!data_ni.isEmpty() && (data_ni.getValue() <= 0))
@@ -398,6 +402,18 @@
    void CDomain::completeLonLat(void)
    {
-      //ARRAY_CREATE(value, valuetype, numdims, extent)// todo
-      //ARRAY_CREATE(value, valuetype, numdims, extent)
+      ARRAY_CREATE(lonvalue_temp, double, 1, [0]);
+      ARRAY_CREATE(latvalue_temp, double, 1, [0]);
+      
+      const int ibegin_serv  = ibegin.getValue(),
+                jbegin_serv  = jbegin.getValue(),
+                zoom_ni_serv = zoom_ni_loc.getValue(),
+                zoom_nj_serv = zoom_nj_loc.getValue();
+                      
+      /*std::cout << "Rang du serveur :" << comm::CMPIManager::GetCommRank()   << std::endl
+                << "Begin serv : "     << ibegin_serv << ", " << jbegin_serv <<  std::endl
+                << "End serv : "       << iend_serv   << ", " << jend_serv   <<  std::endl
+                << "Zoom_loc begin : " << zoom_ibegin_loc << ", " << zoom_jbegin_loc <<  std::endl
+                << "Zoom_loc size : "  << zoom_ni_loc << ", " << zoom_nj_loc <<  std::endl;*/
+      
       
       ARRAY(double, 1) lonvalue_ = this->lonvalue.getValue(),
@@ -406,31 +422,11 @@
       if (this->data_dim.getValue() == 2)
       {
+         StdSize dm = zoom_ni_serv * zoom_nj_serv;
          StdSize dn = this->ni.getValue() * this->nj.getValue();
+         
          lonvalue_->resize(boost::extents[dn]);
          latvalue_->resize(boost::extents[dn]);
-
-         for (StdSize k = 0; k < lonvalue_sub.size(); k++)
-         {
-            int l = 0;
-            ARRAY(double, 1) lonvalue_loc = this->lonvalue_sub[k],
-                             latvalue_loc = this->latvalue_sub[k];
-            const int ibegin_loc = ibegin_sub[k], iend_loc = iend_sub[k],
-                      jbegin_loc = jbegin_sub[k], jend_loc = jend_sub[k];
-                                                                 
-            for (int i = ibegin_loc-1; i <= (iend_loc-1); i++)
-            {
-               for (int j = jbegin_loc-1; j <= (jend_loc-1); j++)
-               {
-                  (*lonvalue_)[i+j*this->ni.getValue()] = (*lonvalue_loc)[l];              
-                  (*latvalue_)[i+j*this->ni.getValue()] = (*latvalue_loc)[l++];
-               }
-            }
-         }   
-      }
-      else
-      {
-         StdSize dn = this->ni.getValue();
-         lonvalue_->resize(boost::extents[dn]);
-         latvalue_->resize(boost::extents[dn]);
+         lonvalue_temp->resize(boost::extents[dm]);
+         latvalue_temp->resize(boost::extents[dm]);
          
          for (StdSize k = 0; k < lonvalue_sub.size(); k++)
@@ -442,10 +438,39 @@
                       jbegin_loc = jbegin_sub[k], jend_loc = jend_sub[k];
                       
-            for (int i = ibegin_loc-1; i <= (iend_loc-1); i++)
+            for (int i = ibegin_loc - ibegin_serv; i < (iend_loc - ibegin_serv + 1); i++)
+            {
+               for (int j = jbegin_loc - jbegin_serv; j < (jend_loc - jbegin_serv + 1); j++)
+               {
+                  (*lonvalue_)[i + j * this->ni.getValue()] = (*lonvalue_loc)[l];              
+                  (*latvalue_)[i + j * this->ni.getValue()] = (*latvalue_loc)[l++];
+               }
+            }
+         }
+         this->lonvalue.setValue(lonvalue_temp);
+         this->latvalue.setValue(latvalue_temp);
+      }
+      else
+      {
+         lonvalue_->resize(boost::extents[this->ni.getValue()]);
+         latvalue_->resize(boost::extents[this->nj.getValue()]);
+         lonvalue_temp->resize(boost::extents[zoom_ni_serv]);
+         latvalue_temp->resize(boost::extents[zoom_nj_serv]);
+         
+         for (StdSize k = 0; k < lonvalue_sub.size(); k++)
+         {
+            int l = 0;
+            ARRAY(double, 1) lonvalue_loc = this->lonvalue_sub[k],
+                             latvalue_loc = this->latvalue_sub[k];
+            const int ibegin_loc = ibegin_sub[k], iend_loc = iend_sub[k],
+                      jbegin_loc = jbegin_sub[k], jend_loc = jend_sub[k];
+                      
+            for (int i = ibegin_loc - ibegin_serv; i < (iend_loc - ibegin_loc + 1); i++)
                (*lonvalue_)[i] = (*lonvalue_loc)[l++];
                
-            for (int j = jbegin_loc-1, l = 0; j <= (jend_loc-1); j++)
+            for (int j = jbegin_loc - jbegin_serv; j < (jend_loc - jbegin_loc + 1); j++)
                (*latvalue_)[j] = (*latvalue_loc)[l++];
-         }         
+         }       
+         this->lonvalue.setValue(lonvalue_temp);
+         this->latvalue.setValue(latvalue_temp);
       }
    }
@@ -551,5 +576,6 @@
       else
       { // CÃŽtÃ© serveur uniquement
-         this->completeLonLat();
+         if (!this->isEmpty())
+            this->completeLonLat();
       }
       this->completeMask();
Index: XMLIO_V2/dev/dev_rv/src/xmlio/node/field.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/node/field.cpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/node/field.cpp	(revision 187)
@@ -7,4 +7,6 @@
 #include "node_type.hpp"
 
+#include "xios_manager.hpp"
+
 namespace xmlioserver{
 namespace tree {
@@ -14,10 +16,18 @@
    CField::CField(void)
       : CObjectTemplate<CField>(), CFieldAttributes()
-      , baseRefObject(), refObject(), grid(), file(), foperation(NULL)
+      , refObject(), baseRefObject()
+      , grid(), file()
+      , freq_operation(), freq_write()
+      , foperation()
+      , data()
    { /* Ne rien faire de plus */ }
 
    CField::CField(const StdString & id)
       : CObjectTemplate<CField>(id), CFieldAttributes()
-      , baseRefObject(), refObject(), foperation(NULL)
+      , refObject(), baseRefObject()
+      , grid(), file()
+      , freq_operation(), freq_write()
+      , foperation()
+      , data()
    { /* Ne rien faire de plus */ }
 
@@ -26,6 +36,6 @@
       this->grid.reset() ;
       this->file.reset() ;
-      if (this->foperation == NULL)
-         delete this->foperation;
+      this->foperation.reset() ;
+      this->data.reset() ;
    }
 
@@ -107,5 +117,7 @@
       boost::shared_ptr<CField> refer_sptr;
       CField * refer_ptr = this;
+      
       this->baseRefObject = CObjectFactory::GetObject<CField>(this);
+      
       while (refer_ptr->hasDirectFieldReference())
       {
@@ -131,5 +143,32 @@
    void  CField::solveOperation(void)
    {
-      // TODO : Ã  complÃ©ter;
+      using namespace func;
+      using namespace date;
+       
+      StdString id = this->getBaseFieldReference()->getId();      
+      if (operation.isEmpty() || freq_op.isEmpty() || this->file->output_freq.isEmpty())
+      {
+         ERROR("CField::solveOperation(void)",
+               << "[ id = " << id << "]"
+               << "Impossible de dÃ©finir une opÃ©ration pour le champ !");
+      }
+
+      if (CXIOSManager::GetStatus() == CXIOSManager::LOC_SERVER)
+      {
+         this->freq_operation = CDuration::FromString(this->file->output_freq.getValue());
+         this->freq_write     = CDuration::FromString(this->file->output_freq.getValue());
+         //this->foperation = boost::shared_ptr<func::CFunctor>(new CInstant());
+      }
+      else
+      {
+         this->freq_operation = CDuration::FromString(freq_op.getValue());
+         this->freq_write     = CDuration::FromString(this->file->output_freq.getValue());
+         
+#define DECLARE_FUNCTOR(MType, mtype) \
+   if  (operation.getValue().compare(#mtype) == 0){}
+      //this->foperation = boost::shared_ptr<func::CFunctor>(new C##MType());
+   
+#include "functor_type.conf"
+      }
    }
    
Index: XMLIO_V2/dev/dev_rv/src/xmlio/node/field.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/node/field.hpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/node/field.hpp	(revision 187)
@@ -5,8 +5,7 @@
 #include "xmlioserver_spl.hpp"
 #include "group_factory.hpp"
-
 #include "functor.hpp"
 #include "functor_type.hpp"
-
+#include "duration.hpp"
 #include "declare_group.hpp"
 
@@ -90,11 +89,14 @@
 
          /// PropriÃ©tÃ©s privÃ©es ///
+         
+         std::vector<boost::shared_ptr<CField> > refObject;
          boost::shared_ptr<CField> baseRefObject;
-         std::vector<boost::shared_ptr<CField> > refObject;
+         boost::shared_ptr<CGrid>  grid ;
+         boost::shared_ptr<CFile>  file;
 
-         boost::shared_ptr<CGrid> grid ;
-         boost::shared_ptr<CFile> file;
-
-         func::CFunctor * foperation;
+         date::CDuration freq_operation, freq_write;
+         boost::shared_ptr<func::CFunctor> foperation;
+         
+         ARRAY(double, 1) data;
 
    }; // class CField
Index: XMLIO_V2/dev/dev_rv/src/xmlio/output/nc4_data_output.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/output/nc4_data_output.cpp	(revision 186)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/output/nc4_data_output.cpp	(revision 187)
@@ -64,4 +64,6 @@
          if (domain->IsWritten(this->filename)) return;
          domain->checkAttributes();
+         
+         if (domain->isEmpty()) return;
 
          std::vector<StdString> dim0, dim1;
@@ -201,4 +203,6 @@
          boost::shared_ptr<CDomain> domain =
             CObjectFactory::GetObject<CDomain>(grid->domain_ref.getValue());
+            
+         if (domain->isEmpty()) return;
 
          StdString timeid    = StdString("time_counter");
@@ -263,10 +267,18 @@
                   SuperClassWriter::addAttribute
                      ("units", field->unit.getValue(), &fieldid);
-
-               if (!field->operation.isEmpty())
-                  SuperClassWriter::addAttribute
+                     
+               SuperClassWriter::addAttribute
                      ("online_operation", field->operation.getValue(), &fieldid);
-
-               { 
+                     
+               if (wtime)
+               {
+                  SuperClassWriter::addAttribute
+                        ("interval_operation", field->freq_op.getValue(), &fieldid);
+                  SuperClassWriter::addAttribute
+                        ("interval_write", field->getRelFile()->output_freq.getValue(), &fieldid);
+               }
+
+               {  // Ecriture des coordonnÃ©es
+               
                   StdString coordstr; //boost::algorithm::join(coodinates, " ")
                   std::vector<StdString>::iterator 
Index: XMLIO_V2/dev/dev_rv/xmlioserver.geany
===================================================================
--- XMLIO_V2/dev/dev_rv/xmlioserver.geany	(revision 186)
+++ XMLIO_V2/dev/dev_rv/xmlioserver.geany	(revision 187)
@@ -19,8 +19,17 @@
 
 [files]
-current_page=2
-FILE_NAME_0=0;Make;0;16;1;1;0;/work/dev_rv/Makefile.wk;0;3
-FILE_NAME_1=0;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/main_server.cpp;0;3
-FILE_NAME_2=0;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/xml_node.cpp;0;3
+current_page=9
+FILE_NAME_0=840;Make;0;16;1;1;0;/work/dev_rv/Makefile.wk;0;3
+FILE_NAME_1=138;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/main_server.cpp;0;3
+FILE_NAME_2=13467;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/grid.cpp;0;3
+FILE_NAME_3=2395;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/domain.hpp;0;3
+FILE_NAME_4=3378;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/grid.hpp;0;3
+FILE_NAME_5=1286;Conf;0;16;0;1;0;/work/dev_rv/src/xmlio/config/domain_attribute.conf;0;3
+FILE_NAME_6=160;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/onetcdf4.hpp;0;3
+FILE_NAME_7=2909;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/nc4_data_output.cpp;0;3
+FILE_NAME_8=356;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/array_mac.hpp;0;3
+FILE_NAME_9=4101;Fortran;0;16;0;1;0;/work/dev_rv/src/xmlio/fortran/impi_interface.f90;0;3
+FILE_NAME_10=6236;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/manager/mpi_manager.cpp;0;3
+FILE_NAME_11=189;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/fortran/impi_interface.hpp;0;3
 
 [build-menu]