Index: XMLIO_V2/dev/dev_rv/Makefile.wk
===================================================================
--- XMLIO_V2/dev/dev_rv/Makefile.wk	(revision 189)
+++ XMLIO_V2/dev/dev_rv/Makefile.wk	(revision 190)
@@ -323,5 +323,5 @@
            buffer_list buffer_pair                          \
            data_treatment data_output                       \
-           rebuild functor configure
+           rebuild functor client server configure 
 
 # Sources des gestionnaires (contenues dans le dossier manager)
Index: XMLIO_V2/dev/dev_rv/src/xmlio/buffer_pair.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/buffer_pair.hpp	(revision 189)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/buffer_pair.hpp	(revision 190)
@@ -34,5 +34,7 @@
                                    A3 * arg3 = CLinearBuffer::NULL_ARG,
                                    A4 * arg4 = CLinearBuffer::NULL_ARG);
-                                  
+            /// Accesseur ///    
+            CLinearBuffer & getCurrentBuffer(void);
+                           
             /// Destructeur ///
             virtual ~CBufferPair(void);
@@ -45,11 +47,9 @@
             /// Traitements divers ///
             void wait(void);
-            void sendCurrentBuffer(void);
-            
-            /// Accesseur ///    
-            CLinearBuffer & getCurrentBuffer(void);
+            void sendCurrentBuffer(void);           
 
          private :
 
+            /// PropriÃ©tÃ©s privÃ©es ///
             MPIComm com_client_server;
             CLinearBuffer first, second;
@@ -75,8 +75,8 @@
          long int nbargs = 0;
          
-         if (arg1 != CLinearBuffer::NULL_ARG) nbargs++;
-         if (arg2 != CLinearBuffer::NULL_ARG) nbargs++;
-         if (arg3 != CLinearBuffer::NULL_ARG) nbargs++;
-         if (arg4 != CLinearBuffer::NULL_ARG) nbargs++;
+         if (arg1 != NULL) nbargs++;
+         if (arg2 != NULL) nbargs++;
+         if (arg3 != NULL) nbargs++;
+         if (arg4 != NULL) nbargs++;
          
          if (rsize > msize)
Index: XMLIO_V2/dev/dev_rv/src/xmlio/client.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/client.cpp	(revision 190)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/client.cpp	(revision 190)
@@ -0,0 +1,81 @@
+#include "client.hpp"
+
+#include "linear_buffer_impl.hpp"
+
+namespace xmlioserver {
+namespace comm {
+
+   /// ////////////////////// DÃ©finitions ////////////////////// ///
+   
+   CClient::CClient(MPIComm comm_client_server)
+      : bpair(comm_client_server)
+   { /* Ne rien faire de plus */ }  
+        
+   CClient::~CClient(void)
+   { /* Ne rien faire de plus */ } 
+   
+   ///--------------------------------------------------------------
+   
+   const CBufferPair & CClient::getBufferPair(void) const 
+   {
+      return (this->bpair);
+   }   
+   
+   //---------------------------------------------------------------
+
+   void CClient::initialize(void)
+   {
+      this->bpair.prepareRequest(0, 0, CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG);
+      // Pas d'argument Ã  ajouter.
+   }
+   
+   //---------------------------------------------------------------
+   
+   void CClient::finalize(void)
+   {
+      this->bpair.prepareRequest(0, 1, CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG);
+      // Pas d'argument Ã  ajouter.
+   }
+   
+   //---------------------------------------------------------------
+   
+   void CClient::setContext(const StdString & idContext)
+   {
+      this->bpair.prepareRequest(0, 1, &idContext,
+                                       CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG,
+                                       CLinearBuffer::NULL_ARG);
+      this->bpair.getCurrentBuffer(). appendString(idContext);
+   }
+   
+   //---------------------------------------------------------------
+   
+   void CClient::updateCalendar(long int timestep)
+   {
+      
+   }
+   
+   //---------------------------------------------------------------
+   
+   void CClient::sendData(const StdString & fieldId, const ARRAY(float, 1) dataArray)
+   {
+      
+   }
+   
+   //---------------------------------------------------------------
+   
+   void CClient::sendData(const StdString & fieldId, const ARRAY(double, 1) dataArray)
+   {
+      
+   }
+
+   ///--------------------------------------------------------------
+
+} // namespace comm
+} // namespace xmlioserver
Index: XMLIO_V2/dev/dev_rv/src/xmlio/client.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/client.hpp	(revision 190)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/client.hpp	(revision 190)
@@ -0,0 +1,52 @@
+#ifndef __XMLIO_Client__
+#define __XMLIO_Client__
+
+/// xmlioserver headers ///
+#include "xmlioserver_spl.hpp"
+#include "mpi_manager.hpp"
+#include "buffer_pair.hpp"
+#include "array.hpp"
+
+namespace xmlioserver {
+namespace comm {
+
+   /// ////////////////////// DÃ©clarations ////////////////////// ///
+   
+   class CClient
+   {
+      public :
+      
+         /// Constructeurs ///
+         CClient(MPIComm comm_client_server);
+                
+         /// Destructeur ///
+         ~CClient(void);  
+         
+      protected : 
+      
+         /// Accesseur ///
+         const CBufferPair & getBufferPair(void) const;
+         
+      public :
+      
+         /// Appels distants///   
+         void initialize(void); // manager 0, method 0
+         void finalize(void);   // manager 0, method 1
+             
+         void setContext(const StdString & idContext); // manager 1, method 0
+         void updateCalendar(long int timestep);       // manager 1, method 1
+         
+         void sendData(const StdString & fieldId, const ARRAY(float, 1) dataArray);  // manager 2, method 0
+         void sendData(const StdString & fieldId, const ARRAY(double, 1) dataArray); // manager 2, method 1
+         
+      private :
+      
+         /// PropriÃ©tÃ© privÃ©e ///
+         CBufferPair bpair;
+      
+   }; // class CClient   
+   
+} // namespace comm
+} // namespace xmlioserver
+
+#endif //__XMLIO_Client__
Index: XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp	(revision 189)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp	(revision 190)
@@ -10,5 +10,5 @@
 int main(int argc, char ** argv, char ** UNUSED(env))
 {
-   try
+   /*try
    {
       //comm::CMPIManager::Initialise(&argc, &argv); // < seulement en mode connectÃ©
@@ -30,5 +30,5 @@
       CMPIManager::Finalize();
       return (EXIT_FAILURE);
-   }
+   }*/
    return (EXIT_SUCCESS);
 }
Index: XMLIO_V2/dev/dev_rv/src/xmlio/server.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/server.cpp	(revision 190)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/server.cpp	(revision 190)
@@ -0,0 +1,9 @@
+#include "server.hpp"
+
+namespace xmlioserver {
+namespace comm {
+
+
+
+} // namespace comm
+} // namespace xmlioserver
Index: XMLIO_V2/dev/dev_rv/src/xmlio/server.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/server.hpp	(revision 190)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/server.hpp	(revision 190)
@@ -0,0 +1,15 @@
+#ifndef __XMLIO_Server__
+#define __XMLIO_Server__
+
+/// xmlioserver headers ///
+#include "xmlioserver_spl.hpp"
+
+namespace xmlioserver {
+namespace comm {
+
+
+
+} // namespace comm
+} // namespace xmlioserver
+
+#endif //__XMLIO_Server__