Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor/average.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor/average.cpp	(revision 152)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor/average.cpp	(revision 205)
@@ -7,8 +7,6 @@
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
-      CAverage::CAverage(DoubleArray doutput,
-                         const CFunData & data,
-                         const std::vector<size_t> size)
-         : SuperClass(StdString("average"), doutput, size, data)
+      CAverage::CAverage(DoubleArray doutput)
+         : SuperClass(StdString("average"), doutput)
       { /* Ne rien faire de plus */ }
 
@@ -19,7 +17,5 @@
 
       void CAverage::apply(const DoubleArray         UNUSED(dinput),
-                              DoubleArray            UNUSED(doutput),
-                           const std::vector<size_t> UNUSED(size),
-                           const CFunData &          UNUSED(data))
+                                 DoubleArray         UNUSED(doutput))
       {
          ERROR("CAverage::apply(...)", << "Not implemented yet !");
Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor/average.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor/average.hpp	(revision 152)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor/average.hpp	(revision 205)
@@ -19,14 +19,12 @@
 
             /// Constructeurs ///
-            CAverage(void);                             // Not implemented.
-            CAverage(const CFunData & data);
-            CAverage(DoubleArray doutput, const CFunData & data,
-                     const std::vector<size_t> size);
-            CAverage(const CAverage & average);         // Not implemented.
-            CAverage(const CAverage * const average);   // Not implemented.
+            //CAverage(void);                             // Not implemented.
+            //CAverage(const CFunData & data);
+            CAverage(DoubleArray doutput);
+            //CAverage(const CAverage & average);         // Not implemented.
+            //CAverage(const CAverage * const average);   // Not implemented.
 
             /// Traitement ///
-            virtual void apply(const DoubleArray dinput, DoubleArray doutput,
-                               const std::vector<size_t> size, const CFunData & data);
+            virtual void apply(const DoubleArray dinput, DoubleArray doutput);
 
             /// Destructeur ///
Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor/instant.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor/instant.cpp	(revision 152)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor/instant.cpp	(revision 205)
@@ -7,8 +7,6 @@
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
-      CInstant::CInstant(DoubleArray doutput,
-                         const CFunData & data,
-                         const std::vector<size_t> size)
-         : SuperClass(StdString("instant"), doutput, size, data)
+      CInstant::CInstant(DoubleArray doutput)
+         : SuperClass(StdString("instant"), doutput)
       { /* Ne rien faire de plus */ }
 
@@ -19,7 +17,5 @@
 
       void CInstant::apply(const DoubleArray         UNUSED(dinput),
-                                 DoubleArray         UNUSED(doutput),
-                           const std::vector<size_t> UNUSED(size),
-                           const CFunData &          UNUSED(data))
+                                 DoubleArray         UNUSED(doutput))
       {
          ERROR("CInstant::apply(...)", << "Not implemented yet !");
Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor/instant.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor/instant.hpp	(revision 152)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor/instant.hpp	(revision 205)
@@ -19,14 +19,12 @@
 
             /// Constructeurs ///
-            CInstant(void);                             // Not implemented.
-            CInstant(const CFunData & data);
-            CInstant(DoubleArray doutput, const CFunData & data,
-                     const std::vector<size_t> size);
-            CInstant(const CInstant & instant);         // Not implemented.
-            CInstant(const CInstant * const instant);   // Not implemented.
+            //CInstant(void);                             // Not implemented.
+            //CInstant(const CFunData & data);
+            CInstant(DoubleArray doutput);
+            //CInstant(const CInstant & instant);         // Not implemented.
+            //CInstant(const CInstant * const instant);   // Not implemented.
 
             /// Traitement ///
-            virtual void apply(const DoubleArray dinput, DoubleArray doutput,
-                               const std::vector<size_t> size, const CFunData & data);
+            virtual void apply(const DoubleArray dinput, DoubleArray doutput);
 
             /// Destructeur ///
Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor/once.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor/once.cpp	(revision 152)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor/once.cpp	(revision 205)
@@ -7,8 +7,6 @@
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
-      COnce::COnce(DoubleArray doutput,
-                   const CFunData & data,
-                   const std::vector<size_t> size)
-         : SuperClass(StdString("once"), doutput, size, data)
+      COnce::COnce(DoubleArray doutput)
+         : SuperClass(StdString("once"), doutput)
       { /* Ne rien faire de plus */ }
 
@@ -19,7 +17,5 @@
 
       void COnce::apply(const DoubleArray         UNUSED(dinput),
-                              DoubleArray         UNUSED(doutput),
-                        const std::vector<size_t> UNUSED(size),
-                        const CFunData &          UNUSED(data))
+                              DoubleArray         UNUSED(doutput))
       {
          ERROR("COnce::apply(...)", << "Not implemented yet !");
Index: XMLIO_V2/dev/dev_rv/src/xmlio/functor/once.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/xmlio/functor/once.hpp	(revision 152)
+++ XMLIO_V2/dev/dev_rv/src/xmlio/functor/once.hpp	(revision 205)
@@ -19,13 +19,11 @@
 
             /// Constructeurs ///
-            COnce(void);                       // Not implemented.
-            COnce(DoubleArray doutput, const CFunData & data,
-                  const std::vector<size_t> size);
-            COnce(const COnce & once);         // Not implemented.
-            COnce(const COnce * const once);   // Not implemented.
+            //COnce(void);                       // Not implemented.
+            COnce(DoubleArray doutput);
+            //COnce(const COnce & once);         // Not implemented.
+            //COnce(const COnce * const once);   // Not implemented.
 
             /// Traitement ///
-            virtual void apply(const DoubleArray dinput, DoubleArray doutput,
-                               const std::vector<size_t> size, const CFunData & data);
+            virtual void apply(const DoubleArray dinput, DoubleArray doutput);
 
             /// Destructeur ///