Index: /XMLIO_V2/extract_xios
===================================================================
--- /XMLIO_V2/extract_xios	(revision 244)
+++ /XMLIO_V2/extract_xios	(revision 244)
@@ -0,0 +1,121 @@
+#!/bin/bash
+
+compil_mode="prod"
+svnbranch="/trunk"
+doc="F"
+extdir="."
+interactive="false"
+
+echo -e "Installation de la bibliothÃšque xmlioserver ... "
+
+# Traitement de la ligne de commande
+while (($# > 0))
+   do
+      case $1 in
+         "-h")
+            # A modifier
+            exit;;
+         "--interactive") interactive="true"  ; has_interactive=true; shift ;;
+         "--rev")         svnrev=$2           ; has_rev=true; shift; shift ;;
+         "--user")        svnuser=$2          ; has_user=true; shift; shift ;;
+         "--branch")      svnbranch=$2        ; has_branch=true; shift; shift ;;
+         "--prod")        compil_mode="prod"  ; has_compil_mode=true; shift ;;
+         "--dev")         compil_mode="dev"   ; has_compil_mode=true; shift ;;
+         "--debug")       compil_mode="debug" ; has_compil_mode=true; shift ;;
+         "--arch")        arch=$2             ; has_arch=true; shift; shift ;;
+         "--doc")         withdoc="Y"         ; has_doc=true; shift ;;
+         *)               extdir="$1"         ; has_extdir=true; shift ;;
+      esac
+   done
+
+# RÃ©cupÃ©ration du rÃ©pertoire local d'installation
+if  [[ $interactive=="true" && -z $extdir ]]
+   read -p "Entrez le rÃ©pertoire d'extraction de la bibliothÃšque : "$PWD"/" extdir
+fi
+install_dir=$PWD/$extdir
+mkdir --parents $install_dir
+
+# Documentation de la distribution
+if  [[ $interactive=="true" && -z $has_doc ]]
+   read -p "Souhaitez-vous extraire la documentation ? [Y/N]: " withdoc
+fi
+
+# Architecture de compilation
+if  [[ $interactive=="true" && -z $has_arch ]]
+   echo -e "\r\nLe serveur d'EntrÃ©e/Sortie peut-Ãªtre installÃ©e sur diverses machine parmis lesquels : "
+   echo -e "\tIA64_PLATINE        => Configuration pour la machine de calcul Platine du CCRT !"
+   echo -e "\tX86_LOCGNU_FEDORA   => Configuration locale pour le compilateur GNU sous fedora !"
+   echo -e "\tX86_LOCINTEL_FEDORA => Configuration locale pour le compilateur intel sous fedora !\r\n"
+      
+   read -p "Sur quelle architecture travaillez-vous ? (aucune par dÃ©faut): " arch
+fi
+
+case $arch in
+   IA64_PLATINE)        
+      echo "=> Configuration pour la machine de calcul Platine du CCRT !" ;;
+   X86_LOCGNU_FEDORA)   
+      echo "=> Configuration locale pour le compilateur GNU sous fedora !" ;;
+   X86_LOCINTEL_FEDORA) 
+      echo "=> Configuration locale pour le compilateur intel sous fedora !" ;;
+   *)                   
+      echo "=> Aucune configuration d'installation !"
+      arch=
+esac
+
+# RÃ©cupÃ©ration du login de connexion svn
+if  [[ $interactive=="true" && -z $has_user ]]
+   echo -e -n "Veuillez Ã  prÃ©sent indiquer votre identifiant de connexion au serveur svn"
+   read -p " forge.ipsl.jussieu.fr (Ne rien Ã©crire si anonyme) : " svnuser
+fi
+
+# RÃ©cupÃ©ration de la branche svn de travail
+if  [[ $interactive=="true" && -z $has_branch ]]
+   read -p "Quelle branche souhaitez-vous extraire ? (/trunk par dÃ©faut): " svnbranch
+fi
+
+if [[ -z $svnbranch ]]
+   then
+      svnbranch="/trunk"
+fi
+
+if [[ -z $svnuser ]]
+   then
+      connect="http://forge.ipsl.jussieu.fr/ioserver/svn/XMLIO_V2"$svnbranch
+   else
+      connect="svn+ssh://"$svnuser"@forge.ipsl.jussieu.fr/ipsl/forge/projets/ioserver/svn/XMLIO_V2"$svnbranch
+fi
+
+# Extraction de la distribution
+echo -e "=> Connexion au serveur svn via \""$connect"\"..."
+
+
+if [[ $withdoc==Y* ]]
+   then
+      svn -q co $connect/doc $install_dir/doc
+      installopt=$installopt" --doc"
+fi
+
+svn -q co $connect/src    $install_dir/src
+svn -q co $connect/arch   $install_dir/arch
+svn -q co $connect/tools  $install_dir/tools
+svn -q co $connect/extern $install_dir/extern
+
+cp $install_dir/tools/bld.cfg  $install_dir/bld.cfg
+cp $install_dir/tools/Doxyfile $install_dir/Doxyfile 
+
+cp $install_dir/tools/make_xios    $install_dir/make_xios
+
+echo -e "- DÃ©compression des archives ..."
+cd $install_dir
+for tarname in $install_dir/tools/archive/*.tar.gz; do
+   tar -xzf "$tarname"
+done
+
+if [[ !(-z $arch) && -f $install_dir/make_xios ]]
+   then
+      echo -e "ExÃ©cution du script d'installation local pour l'architecture \""$arch"\" ..."
+      installopt=$installopt" --"$compil_mode" --arch "$arch
+      cd $install_dir && ./make_xios $installopt
+fi
+
+
Index: /XMLIO_V2/launch_xios
===================================================================
--- /XMLIO_V2/launch_xios	(revision 244)
+++ /XMLIO_V2/launch_xios	(revision 244)
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+svn export http://forge.ipsl.jussieu.fr/ioserver/svn/XMLIO_V2/extract_xios
+./extract_xios $*
Index: LIO_V2/xiosExtract
===================================================================
--- /XMLIO_V2/xiosExtract	(revision 243)
+++ 	(revision )
@@ -1,95 +1,0 @@
-#!/bin/bash
-
-echo -e "Installation de la bibliothÃšque xmlioserver ... "
-
-# RÃ©cupÃ©ration du rÃ©pertoire local d'installation
-read -p "Entrez le rÃ©pertoire d'extraction de la bibliothÃšque : "$PWD"/" extdir
-install_dir=$PWD/$extdir
-
-if [[ -d $install_dir ]]
-   then 
-      echo -e -n "Le rÃ©pertoire existe dÃ©jÃ , son contenu va Ãªtre supprimÃ©, "
-      read -p "Ãªtes-vous d'accord ? [O/N]: " delcontent      
-      if [[ $delcontent==O* ]]
-         then 
-            echo -e "=> Suppression du contenu du rÃ©pertoire \""$install_dir"\"!"
-            rm -rf $install_dir/*
-         else 
-            exit 1
-      fi      
-   else 
-      echo -e "=> CrÃ©ation du rÃ©pertoire d'installation \""$install_dir"\"!"
-      mkdir --parents $install_dir
-fi
-
-# Documentation de la distribution
-read -p "Souhaitez-vous extraire la documentation ? [O/N]: " withdoc
-
-# Architecture de compilation
-echo -e "\r\nLe serveur d'EntrÃ©e/Sortie peut-Ãªtre installÃ©e sur diverses machine parmis lesquels : "
-echo -e "\tIA64_PLATINE        => Configuration pour la machine de calcul Platine du CCRT !"
-echo -e "\tX86_LOCGNU_FEDORA   => Configuration locale pour le compilateur GNU sous fedora !"
-echo -e "\tX86_LOCINTEL_FEDORA => Configuration locale pour le compilateur intel sous fedora !\r\n"
-   
-read -p "Sur quelle architecture travaillez-vous ? (aucune par dÃ©faut): " arch
-
-case $arch in
-   IA64_PLATINE)        
-      echo "=> Configuration pour la machine de calcul Platine du CCRT !" ;;
-   X86_LOCGNU_FEDORA)   
-      echo "=> Configuration locale pour le compilateur GNU sous fedora !" ;;
-   X86_LOCINTEL_FEDORA) 
-      echo "=> Configuration locale pour le compilateur intel sous fedora !" ;;
-   *)                   
-      echo "=> Aucune configuration d'installation !"
-      arch=
-esac
-
-# RÃ©cupÃ©ration du login de connexion svn
-echo -e -n "Veuillez Ã  prÃ©sent indiquer votre identifiant de connexion au serveur svn"
-read -p " forge.ipsl.jussieu.fr (Ne rien Ã©crire si anonyme) : " svnuser
-
-# RÃ©cupÃ©ration de la branche svn de travail
-read -p "Quelle branche souhaitez-vous extraire ? (/trunk par dÃ©faut): " svnbranch
-
-if [[ -z $svnbranch ]]
-   then
-      svnbranch="/trunk"
-fi
-
-if [[ -z $svnuser ]]
-   then
-      connect="http://forge.ipsl.jussieu.fr/ioserver/svn/XMLIO_V2"$svnbranch
-   else
-      connect="svn+ssh://"$svnuser"@forge.ipsl.jussieu.fr/ipsl/forge/projets/ioserver/svn/XMLIO_V2"$svnbranch
-fi
-
-# Extraction de la distribution
-echo -e "=> Connexion au serveur svn via \""$connect"\"..."
-
-
-if [[ $withdoc==O* ]]
-   then
-      svn -q co $connect/doc $install_dir/doc
-      installopt=$installopt" --doc"
-fi
-
-svn -q co $connect/src    $install_dir/src
-svn -q co $connect/arch   $install_dir/arch
-svn -q co $connect/tools  $install_dir/tools
-svn -q co $connect/extern $install_dir/extern
-
-cp $install_dir/tools/bld.cfg  $install_dir/bld.cfg
-cp $install_dir/tools/Doxyfile $install_dir/Doxyfile 
-
-cp $install_dir/tools/xiosInstall $install_dir/xiosInstall
-cp $install_dir/tools/xiosMake    $install_dir/xiosMake  
-
-if [[ !(-z $arch) && -f $install_dir/xiosInstall ]]
-   then
-      echo -e "ExÃ©cution du script d'installation local pour l'architecture \""$arch"\" ..."
-      installopt=$installopt" --prod --arch "$arch
-      cd $install_dir && ./xiosInstall $installopt
-fi
-
-